Record service deployment
POST
workspaceTokenheader
AuthorizationBearer <vat_<opaque-token>>Expiring, hashed workspace token with explicit scopes.
workspace_id*Workspace IdFormat
uuidservice_id*Service IdFormat
uuidapplication/json- body
audit_id?|nullbranch_ref?string|nullcommit_sha?|nullconfiguration_sha256?|nullenvironment*EnvironmentMatch
^[a-zA-Z0-9][a-zA-Z0-9._-]*$Length
1 <= length <= 100evidence_ids?array<>Items
items <= 50image_digest?|nullobserved_at*Observed AtFormat
date-timeresource_keys?array<string>Items
items <= 100source_event_id*Source Event IdLength
1 <= length <= 200source_kind?Source KindDefault
"manual"Value in
"manual""ci""cloud"source_ref*Source RefLength
1 <= length <= 2048Successful Response
application/json- response
audit_id*|nullbranch_ref*string|nullcommit_sha*string|nullconfidence_basis*Confidence Basisconfiguration_sha256*string|nullcontent_sha256*Content Sha256environment*Environmentevidence_ids*array<string>evidence_snapshot*array<>id*IdFormat
uuidimage_digest*string|nullobserved_at*Observed AtFormat
date-timereceived_at*Received AtFormat
date-timerepository_id*|nullresource_keys*array<string>service_id*Service IdFormat
uuidsource_event_id*Source Event Idsource_kind*Source Kindsource_ref*Source Refstale?StaleDefault
falsecurl -X POST 'https://api.veriom.ai/v1/workspaces/497f6eca-6276-4993-bfeb-53cbbbba6f08/services/497f6eca-6276-4993-bfeb-53cbbbba6f08/deployments' \ -H 'Content-Type: application/json' \ -d '{ "environment": "string", "observed_at": "2019-08-24T14:15:22Z", "source_event_id": "string", "source_ref": "string"}'Example Response
{ "audit_id": "78c04fa6-cfb4-46a0-9aa5-3681ba4f3897", "branch_ref": "string", "commit_sha": "string", "confidence_basis": "string", "configuration_sha256": "string", "content_sha256": "string", "environment": "string", "evidence_ids": [ "string" ], "evidence_snapshot": [ {} ], "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08", "image_digest": "string", "observed_at": "2019-08-24T14:15:22Z", "received_at": "2019-08-24T14:15:22Z", "repository_id": "b349ae61-b973-4c6c-a5e0-89183ba99ff3", "resource_keys": [ "string" ], "service_id": "641e839f-864e-4cce-98f9-40f6cbb3e9e0", "source_event_id": "string", "source_kind": "string", "source_ref": "string", "stale": false}